Package org.eclipse.emf.cdo.security

## Interface ClassPermission

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `Permission`
  All Known Implementing Classes:
    `ClassPermissionImpl`

      @Deprecated
      public interface ClassPermission
      extends Permission

  Deprecated.
  As of 4.3 use `FilterPermission` and `ClassFilter`.

  The following features are supported:

  - `Applicable Class`
  A representation of the model object 'Class Permissionermission'.
  See Also:
    `SecurityPackage.getClassPermission()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EClass` | `getApplicableClass()` | Deprecated. Returns the value of the 'Applicable Class' reference.
    `void` | `setApplicableClass​(org.eclipse.emf.ecore.EClass value)` | Deprecated. Sets the value of the '`Applicable Class`' reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Permission

      `getAccess, getRole, isApplicable, setAccess, setRole`

- - ### Method Detail

    - #### getApplicableClass

          org.eclipse.emf.ecore.EClass getApplicableClass()

      Deprecated.
      Returns the value of the 'Applicable Class' reference.

      If the meaning of the 'Applicable Class' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Applicable Class' reference.
      See Also:
        `setApplicableClass(EClass)`, `SecurityPackage.getClassPermission_ApplicableClass()`
      Generated
      Model
        required="true"

    - #### setApplicableClass

          void setApplicableClass​(org.eclipse.emf.ecore.EClass value)

      Deprecated.
      Sets the value of the '`Applicable Class`' reference.
      Parameters:
        `value` - the new value of the 'Applicable Class' reference.
      See Also:
        `getApplicableClass()`
      Generated